package main

import (
	"embed"
	"log"
	"net/http"
)

//go:embed static/*
var fs embed.FS

var favicon_bytes []byte

func init() {
	tmp, err := fs.ReadFile("static/favicon.ico")
	if err != nil {
		panic(err)
	}
	favicon_bytes = tmp
}

func main() {
	http.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		_, err := w.Write(favicon_bytes)
		if err != nil {
			log.Println(err)
			return
		}
	})

	err := http.ListenAndServe(":4444", nil)
	if err != nil {
		log.Fatal(err)
	}
}
